This is the multi-page printable view of this section. Click here to print.
Create Virtual Server Custom Image
1 - 1.3
post /v1/servers/{server_id}/images
Description
Create Virtual Server Custom Image.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerCreateImageRequestBody |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ServerCreateImageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/images
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"image_name": "imagename"
}
Example HTTP response
Response 202
{
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b"
}
2 - 1.2
post /v1/servers/{server_id}/images
Description
Create Virtual Server Custom Image.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerCreateImageRequestBody |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ServerCreateImageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/images
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"image_name": "imagename"
}
Example HTTP response
Response 202
{
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b"
}
3 - 1.1
post /v1/servers/{server_id}/images
Description
Create Virtual Server Custom Image.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerCreateImageRequestBody |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ServerCreateImageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/images
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"image_name": "imagename"
}
Example HTTP response
Response 202
{
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b"
}
4 - 1.0
post /v1/servers/{server_id}/images
Description
Create Virtual Server Custom Image.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerCreateImageRequestBody |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ServerCreateImageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/images
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"image_name": "imagename"
}
Example HTTP response
Response 202
{
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b"
}